Agent Insight Monitors
listRuns
List Agent Insights runs for a monitor.
Header parameters
Foundry-Features
enum
required
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Path parameters
monitor_id
string
required
The identifier of the monitor.
Query parameters
after
string
A cursor that identifies the last item in the previous page.
before
string
A cursor that identifies the first item in the next page.
limit
integer
The maximum number of items to return. Defaults to 20.
order
enum
Sort order by creation time. Defaults to descending.
status
string | enum
Filter runs by status.
enum
trigger
string | enum
Filter runs by trigger.
enum
api-version
string
required
The API version to use for this operation.
Responses
The request has succeeded.
Body
data
AgentInsightRun[]
required
The requested list of items.
first_id
string
The first ID represented in this list.
last_id
string
The last ID represented in this list.
has_more
boolean
required
A value indicating whether there are additional values available not captured in this list.
Request
GET /agent_insight_monitors/{monitor_id}/runs HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json